Skip to main content
PUT
Update a Resource

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

resource_id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

Body

application/json
id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required

the inventory resource name

type
enum<string>
required

the inventory resource type

Available options:
WEBSITE,
DATABASE,
COMPUTE,
STRIPE,
AWS_CLOUDFRONT,
CLOUDFLARE,
STATUS_PAGE,
RDS_DATABASE
configuration
object
required

Response

successful updated inventory resource

id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required

the inventory resource name

type
enum<string>
required

the inventory resource type

Available options:
WEBSITE,
DATABASE,
COMPUTE,
STRIPE,
AWS_CLOUDFRONT,
CLOUDFLARE,
STATUS_PAGE,
RDS_DATABASE
configuration
object
required